## rust-leptess 0.14.0

=== Makefile ===
check:
	cargo clippy
	make test

test:
	cargo test

gen:
	GEN_BINDING=1 cargo build

variables_list.txt:
	tesseract --print-parameters > $@

src/variable.rs: variables_list.txt build_variables.py
	python build_variables.py < variables_list.txt | rustfmt > $@

=== debian/changelog ===
rust-leptess (0.14.0-9) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + simplify usage comments
  * update watch file:
    + improve filename mangling
    + use Github API
    + drop unused upstream version mangling
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 10:42:11 +0100

rust-leptess (0.14.0-8) unstable; urgency=medium

  * tighten build- and autopkgtest-dependencies for crate image

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Nov 2024 17:32:40 +0100

rust-leptess (0.14.0-7) unstable; urgency=medium

  * update patch 1001 to avoid obsolete image::ImageOutputFormat;
    closes: bug#1087316, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Nov 2024 17:19:36 +0100

rust-leptess (0.14.0-6) unstable; urgency=medium

  * stop mention dh-cargo in long description
  * add patch 1001_image to accept newer branch of crate image;
    relax build- and autopkgtest-dependencies for crate image;
    closes: bug#1086993, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Nov 2024 23:51:40 +0100

rust-leptess (0.14.0-5) unstable; urgency=medium

  * really fix autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 02:07:58 +0200

rust-leptess (0.14.0-4) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * fix project version in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 17:54:29 +0200

rust-leptess (0.14.0-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 14:29:49 +0200

rust-leptess (0.14.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Apr 2024 23:52:55 +0200

rust-leptess (0.14.0-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1067574

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Mar 2024 22:49:30 +0100

=== debian/control ===
Source: rust-leptess
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-tesseract-plumbing-0.11+default-dev,
 librust-thiserror-1+default-dev,
 librust-image-0.25+default-dev,
 librust-regex-1+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-leptess.git
Vcs-Browser: https://salsa.debian.org/debian/rust-leptess
Homepage: https://github.com/houqp/leptess
Rules-Requires-Root: no

Package: librust-leptess-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-tesseract-plumbing-0.11+default-dev,
 librust-thiserror-1+default-dev,
 ${misc:Depends},
Provides:
 librust-leptess-0.14+default-dev (= ${binary:Version}),
 librust-leptess-0.14-dev (= ${binary:Version}),
 librust-leptess-0.14.0-dev (= ${binary:Version}),
Description: productive Rust binding for Tesseract and Leptonica
 Leptess provides productive and safe Rust bindings/wrappers
 for Leptonica and Tesseract.
 .
 This package contains the source for the Rust leptess crate,
 for use with cargo.

=== debian/tests/control ===
Test-Command: /usr/share/dh-rust/bin/cargo-auto-test leptess 0.14.0
 --all-targets --all-features
Features: test-name=rust-leptess:@
Depends:
 dh-rust,
 librust-image-0.25+default-dev,
 librust-regex-1+default-dev,
 librust-leptess-0.14-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test leptess 0.14.0
 --all-targets --no-default-features
Features: test-name=rust-leptess:
Depends:
 dh-rust,
 librust-image-0.25+default-dev,
 librust-regex-1+default-dev,
 librust-leptess-0.14-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test leptess 0.14.0
 --all-targets
Features: test-name=rust-leptess:default
Depends:
 dh-rust,
 librust-image-0.25+default-dev,
 librust-regex-1+default-dev,
 librust-leptess-0.14+default-dev,
Restrictions: allow-stderr

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/houqp/leptess/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
